"""
web2ldap plugin classes for attributes defined for msPerson

$Id: msperson.py,v 1.3 2004/07/23 17:36:23 michael Exp $
"""

import pyweblib.forms

from w2lapp.core import utf2display

from w2lapp.schema.syntaxes import LDAPSyntax,Boolean,Integer,SelectList,syntax_registry


class Gender(SelectList):
  oid = 'Gender-oid'
  desc = 'Representation of human sex (see ISO 5218)'

  attr_value_dict = {
    '':'',
    '0':'Not known',
    '1':'Male',
    '2':'Female',
    '9':'Not specified',
  }


# Register all syntax classes in this module
for name in dir():
  syntax_registry.registerSyntaxClass(eval(name))

syntax_registry.registerAttrType(
  Gender.oid,[
    '1.3.6.1.4.1.5427.1.389.4.7', # gender (defined for msPerson)
  ]
)

